httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Plüm, Rüdiger, VF-Group" <ruediger.pl...@vodafone.com>
Subject Re: Preferred versions of libtool and autoconf for T&R
Date Sat, 29 Nov 2008 14:19:29 GMT
 

> -----Ursprüngliche Nachricht-----
> Von: William A. Rowe, Jr.  
> Gesendet: Samstag, 29. November 2008 04:06
> An: dev@httpd.apache.org
> Betreff: Re: Preferred versions of libtool and autoconf for T&R
> 
> Ruediger Pluem wrote:
> > Any objections going with autoconf 2.63 and libtool 1.5.26?
> > 
> > If autoconf 2.63 is seen as too risky I would go back to 
> autoconf 2.61.
> 
> I see no remaining issues for 2.63... solid choice.  The endianess
> issues of 2.62 should all be addressed.
> 

autoconf 2.63 still emits the warnings for APR / APR-UTIL configure
options passed to it. The following patch should fix this:

Index: configure.in
===================================================================
--- configure.in        (revision 721659)
+++ configure.in        (working copy)
@@ -18,6 +18,10 @@
 sinclude(build/find_apu.m4)
 sinclude(acinclude.m4)

+dnl We don't want our confingure to emit any warnings for any
+dnl APR / APR-UTIL configure options
+AC_DISABLE_OPTION_CHECKING
+
 dnl XXX we can't just use AC_PREFIX_DEFAULT because that isn't subbed in
 dnl by configure until it is too late.  Is that how it should be or not?
 dnl Something seems broken here.

Any objections?

Otherwise I would commit to trunk and propose it for backport.

Regards

Rüdiger

Mime
View raw message